=== src/CMakeLists.txt ===
project(qlandkarteqt-binary)

option(WITH_EXIF "BUILD EXIF" ON)
option(WITH_DMTX "BUILD DMTX" ON)
option(WITH_GPSD "BUILD_GPSD" ON)


if(QK_QT5_PORT)
  find_package(Qt5Widgets)
  find_package(Qt5Quick)
  find_package(Qt5Network)
  find_package(Qt5Gui)
  find_package(Qt5OpenGL)
  find_package(Qt5Xml)
  find_package(Qt5Sql)
  if(NOT APPLE)
    find_package(Qt5DBus)
  endif(NOT APPLE)
  find_package(Qt5PrintSupport)
  find_package(Qt5Script)
  find_package(Qt5Multimedia)
  find_package(Qt5WebKitWidgets)
  if(QK_QT5_SERIAL_PORT)
    find_package(Qt5SerialPort)
    add_definitions(-DQK_QT5_SERIAL_PORT)
  endif(QK_QT5_SERIAL_PORT)
  if(QK_QT5_TZONE)
    add_definitions(-DQK_QT5_TZONE)
  endif(QK_QT5_TZONE)
else(QK_QT5_PORT)
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif(QK_QT5_PORT)

find_package(OpenGL REQUIRED)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
if(WITH_EXIF)
    find_package(EXIF)
endif(WITH_EXIF)
if(WITH_DMTX)
    find_package(DMTX)
endif(WITH_DMTX)
if(WITH_GPSD)
    find_package(GPSD)
endif(WITH_GPSD)

if (NOT WIN32)
  find_program(GDALWARP gdalwarp DOC "full path of the gdalwarp application")
  find_program(GDALTRANSLATE gdal_translate DOC "full path of the gdal_translate application")
  find_program(GDALADDO gdaladdo DOC "full path of the gdaladdo application")
  find_program(GPSBABEL gpsbabel DOC "full path of the gpsbabel application")
else (NOT WIN32)
  set(GDALWARP "gdalwarp.exe")
  set(GDALTRANSLATE "gdal_translate.exe")
  set(GDALADDO "gdaladdo.exe")
  set(GPSBABEL "gpsbabel.exe")
endif (NOT WIN32)

if(GDALWARP)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALWARP=\\\"${GDALWARP}\\\"")
else(GDALWARP)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALWARP=\\\"gdalwarp\\\"")
endif(GDALWARP)

if(GDALTRANSLATE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALTRANSLATE=\\\"${GDALTRANSLATE}\\\"")
else(GDALTRANSLATE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALTRANSLATE=\\\"gdal_translate\\\"")
endif(GDALTRANSLATE)

if(GDALADDO)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALADDO=\\\"${GDALADDO}\\\"")
else(GDALADDO)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALADDO=\\\"gdaladdo\\\"")
endif(GDALADDO)


if(GPSBABEL)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"${GPSBABEL}\\\"")
else(GPSBABEL)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"gpsbabel\\\"")
endif(GPSBABEL)

if(WITH_PROFILING)
    set(PROFILING_LIBRARIES "conan")
else(WITH_PROFILING)
    set(PROFILING_LIBRARIES "")
endif(WITH_PROFILING)


if (NOT WIN32)
  find_program(MAP2JNX map2jnx DOC "full path of the map2jnx application")
  if(MAP2JNX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMAP2JNX=\\\"${MAP2JNX}\\\"")
  else(MAP2JNX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMAP2JNX=\\\"map2jnx\\\"")
  endif(MAP2JNX)
endif (NOT WIN32)



set(qlandkarte_SRCS
    main.cpp
    mitab.cpp
    tcxreader.cpp
    CActions.cpp
    CMenus.cpp
    GeoMath.cpp
    WptIcons.cpp
    CResources.cpp
    CCopyright.cpp
    CApplication.cpp
    CMainWindow.cpp
    CCanvas.cpp
    CCanvasUndoCommandZoom.cpp
    CStatusDEM.cpp
    IMouse.cpp
    CMouseMoveMap.cpp
    CMouseZoomMap.cpp
    CMouseSelMap.cpp
    CMouseAddWpt.cpp
    CMouseMoveWpt.cpp
    CMouseEditWpt.cpp
    CMouseRefPoint.cpp
    CMouseCutTrack.cpp
    CMouseSelTrack.cpp
    CMouseAddText.cpp
    CMouseAddTextBox.cpp
    CMouseAddDistance.cpp
    CMouseAddArea.cpp
    CMouseOverlay.cpp
    CMouseColorPicker.cpp
    CMouseSelWpt.cpp
    IMap.cpp
    CMapNoMap.cpp
    CMapDEM.cpp
    CMapFile.cpp
    CMapLevel.cpp
    CMapQMAP.cpp
    CMapQMAPExport.cpp
    CMapRaster.cpp
    CMapGeoTiff.cpp
    CMapWms.cpp
    CMapTms.cpp
    CMapJnx.cpp
    CMapRmap.cpp
    CMap3D.cpp
    IMapSelection.cpp
    CMapSelectionRaster.cpp
    CMapSelectionGarmin.cpp
    CMapSearchWidget.cpp
    CMapSearchCanvas.cpp
    CMapSearchThread.cpp
    CMegaMenu.cpp
    IDB.cpp
    CWpt.cpp
    CWptDB.cpp
    CWptToolWidget.cpp
    CSearch.cpp
    CSearchDB.cpp
    CSearchToolWidget.cpp
    CDlgConfig.cpp
    CDlgEditWpt.cpp
    CDlgWptIcon.cpp
    CDlgEditMapLevel.cpp
    CDlgCombineTracks.cpp
    CDlgCombineDistOvl.cpp
    CDlgProjWizzard.cpp
    CDlgEditText.cpp
    CDlgDelWpt.cpp
    CDlgConvertToTrack.cpp
    CDlgEditRoute.cpp
    CDlgLoadOnlineMap.cpp
    CDlgMapTDBConfig.cpp
    CDlgMapQMAPConfig.cpp
    CDlgMapJNXConfig.cpp
    CDlgMapTmsConfig.cpp
    CDlgMapWmsConfig.cpp
    CDlgMapRMPConfig.cpp
    CDlgNoMapConfig.cpp
    CDlgScreenshot.cpp
    CDlgTrackFilter.cpp
    CDlgSetupGarminIcons.cpp
    CDlgConfig3D.cpp
    CDlgExport.cpp
    CDlgWpt2Rte.cpp
    CDlgSetupGrid.cpp
    CDlgCropMap.cpp
    CDlgParentWpt.cpp
    CDlgDeviceExportPath.cpp
    CDlgProxy.cpp
    CDlgMultiColorConfig.cpp
    CDlg3DHelp.cpp
    CQlb.cpp
    CGpx.cpp
    IDevice.cpp
    CDeviceQLandkarteM.cpp
    CDeviceMagellan.cpp
    CDeviceGarmin.cpp
    CDeviceGarminBulk.cpp
    CDeviceNMEA.cpp
    CDeviceTwoNav.cpp
    CCreateMapQMAP.cpp
    CCreateMapGeoTiff.cpp
    CCreateMapGridTool.cpp
    CCreateMapFineTune.cpp
    CMapUndoCommandMove.cpp
    CMapDB.cpp
    CMapToolWidget.cpp
    CMapEditWidget.cpp
    CUndoStackModel.cpp
    CUndoStackView.cpp
    CTrackUndoCommandDeletePts.cpp
    CTrackUndoCommandPurgePts.cpp
    CTrackUndoCommandSelect.cpp
    CTrack.cpp
    CTrackDB.cpp
    CTrackToolWidget.cpp
    CTrackEditWidget.cpp
    ITrackStat.cpp
    CTrackStatProfileWidget.cpp
    CTrackStatSpeedWidget.cpp
    CTrackStatTraineeWidget.cpp
    CTrackStatDistanceWidget.cpp
    CTrackFilterWidget.cpp
    CRoute.cpp
    CRouteDB.cpp
    CRouteToolWidget.cpp
    CTabWidget.cpp
    CDiary.cpp
    CDiaryDB.cpp
    CDiaryEdit.cpp
    CTextEditWidget.cpp
    CPlot.cpp
    CPlotAxis.cpp
    CPlotAxisTime.cpp
    CPlotData.cpp
    CLiveLog.cpp
    CLiveLogDB.cpp
    CLiveLogToolWidget.cpp
    IOverlay.cpp
    COverlayDB.cpp
    COverlayToolWidget.cpp
    COverlayText.cpp
    COverlayTextBox.cpp
    COverlayDistance.cpp
    COverlayDistanceEditWidget.cpp
    COverlayArea.cpp
    COverlayAreaEditWidget.cpp
    IUnit.cpp
    CUnitMetric.cpp
    CUnitImperial.cpp
    CUnitNautic.cpp
    CImage.cpp
    IGarminStrTbl.cpp
    CGarminStrTbl6.cpp
    CGarminStrTbl8.cpp
    CGarminStrTblUtf8.cpp
    CGarminPolygon.cpp
    CGarminPoint.cpp
    CGarminTile.cpp
    CGarminExport.cpp
    IGarminTyp.cpp
    CGarminTyp.cpp
    CGarminTypNT.cpp
    CMapTDB.cpp
    CHelpButton.cpp
    CSpline.cpp
    IItem.cpp
    CImageSelect.cpp
    CGridDB.cpp
    IDiskCache.cpp
    CDiskCache.cpp
    CDiskCacheZip.cpp
    CTextBrowser.cpp
    CImageViewer.cpp
    CMapRmp.cpp
    CMapDEMSlopeSetup.cpp
    IExchange.cpp
    CExchangeGarmin.cpp
    CExchangeTwoNav.cpp
)

if (WIN32)
    SET(qlandkarte_SRCS ${qlandkarte_SRCS} qlandkarte.rc)
endif (WIN32)

set(qlandkarte_HDRS
    Platform.h
    version.h
    mitab.h
    tcxreader.h
    CActions.h
    CMenus.h
    GeoMath.h
    WptIcons.h
    CResources.h
    CCopyright.h
    CApplication.h
    CMainWindow.h
    CCanvas.h
    CStatusDEM.h
    IMouse.h
    CMouseMoveMap.h
    CMouseZoomMap.h
    CMouseSelMap.h
    CMouseAddWpt.h
    CMouseMoveWpt.h
    CMouseEditWpt.h
    CMouseRefPoint.h
    CMouseCutTrack.h
    CMouseSelTrack.h
    CMouseAddText.h
    CMouseAddTextBox.h
    CMouseAddDistance.h
    CMouseAddArea.h
    CMouseOverlay.h
    CMouseColorPicker.h
    CMouseSelWpt.h
    IMap.h
    CMapNoMap.h
    CMapDEM.h
    CMapFile.h
    CMapLevel.h
    CMapQMAP.h
    CMapQMAPExport.h
    CMapRaster.h
    CMapGeoTiff.h
    CMapWms.h
    CMapTms.h
    CMapJnx.h
    CMapRmap.h
    CMap3D.h
    IMapSelection.h
    CMapSelectionRaster.h
    CMapSelectionGarmin.h
    CMapSearchWidget.h
    CMapSearchCanvas.h
    CMapSearchThread.h
    CMegaMenu.h
    IDB.h
    CWpt.h
    CWptDB.h
    CWptToolWidget.h
    CSearch.h
    CSearchDB.h
    CSearchToolWidget.h
    CDlgConfig.h
    CDlgEditWpt.h
    CDlgLoadOnlineMap.h
    CDlgWptIcon.h
    CDlgEditMapLevel.h
    CDlgCombineTracks.h
    CDlgCombineDistOvl.h
    CDlgProjWizzard.h
    CDlgEditText.h
    CDlgDelWpt.h
    CDlgConvertToTrack.h
    CDlgEditRoute.h
    CDlgMapTDBConfig.h
    CDlgMapQMAPConfig.h
    CDlgMapJNXConfig.h
    CDlgMapTmsConfig.h
    CDlgMapWmsConfig.h
    CDlgMapRMPConfig.h
    CDlgNoMapConfig.h
    CDlgScreenshot.h
    CDlgTrackFilter.h
    CDlgSetupGarminIcons.h
    CDlgConfig3D.h
    CDlgExport.h
    CDlgWpt2Rte.h
    CDlgSetupGrid.h
    CDlgCropMap.h
    CDlgParentWpt.h
    CDlgDeviceExportPath.h
    CDlgProxy.h
    CDlgMultiColorConfig.h
    CDlg3DHelp.h
    CQlb.h
    CGpx.h
    IDevice.h
    CDeviceQLandkarteM.h
    CDeviceMagellan.h
    CDeviceGarmin.h
    CDeviceGarminBulk.h
    CDeviceNMEA.h
    CDeviceTwoNav.h
    CCreateMapQMAP.h
    CCreateMapGeoTiff.h
    CCreateMapGridTool.h
    CCreateMapFineTune.h
    CMapDB.h
    CMapToolWidget.h
    CMapEditWidget.h
    CUndoStackModel.h
    CUndoStackView.h
    CTrackUndoCommandSelect.h
    CTrack.h
    CTrackDB.h
    CTrackToolWidget.h
    CTrackEditWidget.h
    ITrackStat.h
    CTrackStatProfileWidget.h
    CTrackStatSpeedWidget.h
    CTrackStatTraineeWidget.h
    CTrackStatDistanceWidget.h
    CTrackFilterWidget.h
    CRoute.h
    CRouteDB.h
    CRouteToolWidget.h
    CTabWidget.h
    CDiary.h
    CDiaryDB.h
    CDiaryEdit.h
    CTextEditWidget.h
    CPlot.h
    CPlotAxis.h
    CPlotAxisTime.h
    CPlotData.h
    CLiveLog.h
    CLiveLogDB.h
    CLiveLogToolWidget.h
    IOverlay.h
    COverlayDB.h
    COverlayToolWidget.h
    COverlayText.h
    COverlayTextBox.h
    COverlayDistance.h
    COverlayDistanceEditWidget.h
    COverlayArea.h
    COverlayAreaEditWidget.h
    IUnit.h
    CUnitMetric.h
    CUnitImperial.h
    CUnitNautic.h
    CImage.h
    IGarminStrTbl.h
    CGarminStrTbl6.h
    CGarminStrTbl8.h
    CGarminStrTblUtf8.h
    CGarminPolygon.h
    CGarminPoint.h
    CGarminTile.h
    Garmin.h
    CGarminExport.h
    IGarminTyp.h
    CGarminTyp.h
    CGarminTypNT.h
    CMapTDB.h
    CAppOpts.h
    CHelpButton.h
    CSpline.h
    IItem.h
    CImageSelect.h
    CGridDB.h
    IDiskCache.h
    CDiskCache.h
    CDiskCacheZip.h
    CSettings.h
    CTextBrowser.h
    CImageViewer.h
    CMapRmp.h
    CMapDEMSlopeSetup.h
    Dictionary.h
    QFileExt.h
    IExchange.h
    CExchangeGarmin.h
    CExchangeTwoNav.h
)


SET(qlandkarte_UIS
    ICopyright.ui
    IWptToolWidget.ui
    IMapToolWidget.ui
    IMapEditWidget.ui
    IMapSearchWidget.ui
    IMapQMAPExport.ui
    ITrackToolWidget.ui
    ITrackEditWidget.ui
    ITrackStatWidget.ui
    ITrackFilterWidget.ui
    ISearchToolWidget.ui
    IDlgConfig.ui
    IDlgEditWpt.ui
    IDlgWptIcon.ui
    IDlgEditMapLevel.ui
    IDlgCombineTracks.ui
    IDlgCombineDistOvl.ui
    IDlgDelWpt.ui
    IDlgConvertToTrack.ui
    IDlgEditRoute.ui
    IDlgLoadOnlineMap.ui
    IDlgMapTDBConfig.ui
    IDlgMapQMAPConfig.ui
    IDlgMapJNXConfig.ui
    IDlgMapTmsConfig.ui
    IDlgMapWmsConfig.ui
    IDlgMapRMPConfig.ui
    IDlgNoMapConfig.ui
    IDlgScreenshot.ui
    IDlgTrackFilter.ui
    IDlgSetupGarminIcons.ui
    IDlgConfig3D.ui
    IDlgExport.ui
    IDlgWpt2Rte.ui
    IDlgSetupGrid.ui
    IDlgCropMap.ui
    IDlgParentWpt.ui
    IDlgDeviceExportPath.ui
    IDlgProxy.ui
    IDlgMultiColorConfig.ui
    IDlg3DHelp.ui
    ICreateMapQMAP.ui
    ICreateMapGeoTiff.ui
    ICreateMapGridTool.ui
    ICreateMapFineTune.ui
    IRouteToolWidget.ui
    IStatusDEM.ui
    IDlgProjWizzard.ui
    ITextEditWidget.ui
    ILiveLogToolWidget.ui
    IOverlayToolWidget.ui
    IOverlayDistanceEditWidget.ui
    IOverlayAreaEditWidget.ui
    IGarminExport.ui
    IHelpDlg.ui
    IDiaryEdit.ui
    IImageSelect.ui
    IImageViewer.ui
    IMapDEMSlopeSetup.ui
)

SET(qlandkarte_RCS
    resources.qrc
)

add_definitions(-DDB_VERSION=9)
SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CGeoDB.h CDlgSelGeoDBFolder.h CDlgEditFolder.h)
SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CGeoDB.cpp CDlgSelGeoDBFolder.cpp CDlgEditFolder.cpp)
SET(qlandkarte_UIS ${qlandkarte_UIS} IGeoToolWidget.ui IDlgSelGeoDBFolder.ui IDlgEditFolder.ui)
