=== debian/changelog ===
qlandkartegt (1.7.7-3) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Move package from collab-maint to the Debian GIS team (pkg-grass).

  [ Bas Couwenberg ]
  * Team upload.
  * Fix uploader-address-malformed lintian issue, by separating the Uploaders
    with a comma.
  * Reformat control file with cme, update gdal and proj build dependencies.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 18 Aug 2014 10:13:53 +0200

qlandkartegt (1.7.7-2) unstable; urgency=low

  * Added patch to fix build on kfreebsd (Closes: #754641).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 25 Jul 2014 12:58:21 +0200

qlandkartegt (1.7.7-1) unstable; urgency=low

  * New upstream release.
  * Patches refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 10 Jul 2014 11:44:09 +0200

qlandkartegt (1.7.6-1) unstable; urgency=low

  * New upstream release.
  * Added patches from Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de> (Closes: #739917).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 25 Feb 2014 00:18:15 +0100
