=== debian/control ===
Source: qlandkartegt
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
           Michael Hanke <mih@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9.20120417~),
               gpsbabel,
               imagemagick,
               libdmtx-dev,
               libexif-dev,
               libgdal-dev (>= 1.10.1-0~),
               libgps-dev,
               libproj-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/qlandkartegt.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/qlandkartegt.git
Homepage: http://www.qlandkarte.org

Package: qlandkartegt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gdal-bin,
            gpsbabel,
            qlandkartegt-garmin
Suggests: gpsd
Provides: qlandkarte
Replaces: qlandkarte
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format. QLandkarteGT is the successor of
 QLandkarte. Among various improvements (e.g. 2D/3D map rendering and
 reduced resource demands) the major difference is its
 device-independent architecture, which is not limited to Garmin devices
 anymore. Therefore, the package also does not include device drivers.
 Drivers for a number of Garmin devices are available from the
 qlandkartegt-garmin package.
 .
 Additionally, QLandkarteGT serves as a frontend to the GDAL tools, to
 make georeferencing of scanned maps feasible for users. In contrast to
 similar tools (e.g. QGis) its straightforward interface is especially
 suited for non-scientific users.
