=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+ds \
http://sf.net/qlandkartegt/ \
qlandkartegt-(\d)\.([\d\S]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
