## qlandkartegt 1.8.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,8 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "7")
-set(APPLICATION_VERSION_PATCH "7")
+set(APPLICATION_VERSION_MINOR "8")
+set(APPLICATION_VERSION_PATCH "1")
 
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})
@@ -94,7 +94,6 @@
 
 add_subdirectory(3rdparty/QZip)
 add_subdirectory(3rdparty/QTextHtmlExporter)
-add_subdirectory(3rdparty/QDeviceWatcher)
 add_subdirectory(3rdparty/getopt)
 add_subdirectory(3rdparty/map2gcm)
 add_subdirectory(3rdparty/map2rmap)
