=== src/CMakeLists.txt ===
--- 
+++ 
@@ -463,7 +463,6 @@
     CImageViewer.h
     CMapRmp.h
     CMapDEMSlopeSetup.h
-    Dictionary.h
     QFileExt.h
     IExchange.h
     CExchangeGarmin.h
