=== debian/changelog ===
qlandkartegt (1.8.1+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2015 13:25:06 +0200

qlandkartegt (1.8.1+ds-1) unstable; urgency=medium

  * Set the date embedded in man pages to the changelog date for
    reproducible builds.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 19:27:45 +0200

qlandkartegt (1.8.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Fixes MapQuest routing service.
  * Update Files-Excluded for QLandkarteGT 1.8.1.
  * Enable verbose makefiles.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Feb 2015 22:12:58 +0100

qlandkartegt (1.8.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Repack upstream tarball, remove patch & svn artifacts.
  * Add myself to Uploaders.
  * Update copyright file, changes:
    - Use capitals in Upstream-Name
    - Use SourceForge for Source
    - Group GPL-3+ copyright holders in one Files section
    - Fix tri-license for QT files
    - Use standard license short names where possible
    - Use wildcards for multiple files where possible
    - Remove unused license specification for LGPL-2.1
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Override dh_installchangelogs to install upstream changelog.
  * Enable parallel builds.
  * Drop 04-fix_kfreebsd_build.patch, obsolete.
  * Add patch to add %F field code to Exec key in desktop file.
  * Add man pages for helper utilities.
  * Add patch to use HTTPS for openstreetmap.org tiles.
  * Bump Standards-Version to 3.9.6, no changes.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Feb 2015 13:41:01 +0100
