=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: qlandkartegt
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
+           Bas Couwenberg <sebastic@debian.org>,
            Michael Hanke <mih@debian.org>
 Section: science
 Priority: optional
@@ -15,10 +16,14 @@
                libproj-dev,
                libqt4-dev,
                libqt4-opengl-dev,
-               libqtwebkit-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/qlandkartegt.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/qlandkartegt.git
+               libqtwebkit-dev,
+               docbook2x,
+               docbook-xsl,
+               docbook-xml,
+               xsltproc
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/qlandkartegt.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/qlandkartegt.git -b jessie-backports
 Homepage: http://www.qlandkarte.org
 
 Package: qlandkartegt
