=== debian/rules ===
#!/usr/bin/make -f

BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)

MANPAGES := $(wildcard debian/man/*.*.xml)

# one ring to rule them all ...
%:
	dh $@ --parallel

overrid_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_configure:
	dh_auto_configure -- -DGPX_EXTENSIONS:BOOL=TRUE \
	                     -DCMAKE_VERBOSE_MAKEFILE=1

override_dh_auto_build:
	# Create man page from DocBook XML
	for x in $(MANPAGES) ; do \
	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_auto_install:
	# first do the regular job
	dh_auto_install
	# come up with icon in XPM format
	convert debian/qlandkartegt/usr/share/pixmaps/qlandkartegt.png \
		-resize 32x32 debian/qlandkartegt/usr/share/pixmaps/qlandkartegt.xpm
	rm debian/qlandkartegt/usr/share/pixmaps/qlandkartegt.png

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt
