=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
repacksuffix=+ds \
http://sf.net/qlandkartegt/qlandkartegt-(\d)\.([\d\.]*)\.tar\.gz
